org.apache.ode.daohib.bpel

## Class XmlDataDaoImpl

- java.lang.Object
- - org.apache.ode.daohib.bpel.HibernateDao
  - - org.apache.ode.daohib.bpel.XmlDataDaoImpl

- All Implemented Interfaces:
    XmlDataDAO

      public class XmlDataDaoImpl
      extends HibernateDao
      implements XmlDataDAO

  Hibernate-based `XmlDataDAO` implementation.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `_hobj, _sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlDataDaoImpl(SessionManager sm, HXmlData hobj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `get()` Retreive the variable data.
    `java.lang.String` | `getName()` Get the name of the variable.
    `java.lang.String` | `getProperty(java.lang.String propertyName)` Return the value of a property.
    `ScopeDAO` | `getScopeDAO()` Gets the scope associated with this xml data.
    `boolean` | `isNull()` Checks if the dao has been assigned any data.
    `void` | `remove()` Remove the object from the data store.
    `void` | `set(org.w3c.dom.Node val)` Set the data value of a variable.
    `void` | `setProperty(java.lang.String pname, java.lang.String pvalue)` Sets the value of a property

    - ### Methods inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `deleteByColumn, deleteByIds, equals, getDHandle, getHibernateObj, getId, getSession, hashCode, update`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlDataDaoImpl

          public XmlDataDaoImpl(SessionManager sm,
                        HXmlData hobj)

      Parameters:
        `hobj` -

  - ### Method Detail

    - #### isNull

          public boolean isNull()

      Description copied from interface: `XmlDataDAO`
      Checks if the dao has been assigned any data.
      Specified by:
        `isNull` in interface `XmlDataDAO`
      Returns:
        `true` is assignment has NOT occured.
      See Also:
        `XmlDataDAO.isNull()`

    - #### get

          public org.w3c.dom.Node get()

      Description copied from interface: `XmlDataDAO`
      Retreive the variable data.
      Specified by:
        `get` in interface `XmlDataDAO`
      Returns:
        the variable data
      See Also:
        `XmlDataDAO.get()`

    - #### remove

          public void remove()

      Description copied from interface: `XmlDataDAO`
      Remove the object from the data store.
      Specified by:
        `remove` in interface `XmlDataDAO`
      See Also:
        `XmlDataDAO.remove()`

    - #### set

          public void set(org.w3c.dom.Node val)

      Description copied from interface: `XmlDataDAO`
      Set the data value of a variable.
      Specified by:
        `set` in interface `XmlDataDAO`
      Parameters:
        `val` - value
      See Also:
        `XmlDataDAO.set(org.w3c.dom.Node)`

    - #### getProperty

          public java.lang.String getProperty(java.lang.String propertyName)

      Description copied from interface: `XmlDataDAO`
      Return the value of a property. Properties are useful for extracting simple type data which can be used for querying and identifying process instances.
      Specified by:
        `getProperty` in interface `XmlDataDAO`
      Returns:
        value of property or null if not set.
      See Also:
        `XmlDataDAO.getProperty(java.lang.String)`

    - #### setProperty

          public void setProperty(java.lang.String pname,
                         java.lang.String pvalue)

      Description copied from interface: `XmlDataDAO`
      Sets the value of a property
      Specified by:
        `setProperty` in interface `XmlDataDAO`
      See Also:
        `XmlDataDAO.setProperty(java.lang.String, java.lang.String)`

    - #### getScopeDAO

          public ScopeDAO getScopeDAO()

      Description copied from interface: `XmlDataDAO`
      Gets the scope associated with this xml data.
      Specified by:
        `getScopeDAO` in interface `XmlDataDAO`
      Returns:
        scope
      See Also:
        `XmlDataDAO.getScopeDAO()`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `XmlDataDAO`
      Get the name of the variable.
      Specified by:
        `getName` in interface `XmlDataDAO`
      Returns:
        variable name